//---------------------------------------------------------------------------
#ifndef objectsH
#define objectsH


//=====================================================================
//	INCLUDES
//=====================================================================
//
// my standard OpenGL includes (for different Compilers)
#ifdef _WIN32
  #include <windows.h>
#endif

extern "C" {
#include <GL/gl.h>
#include <GL/glu.h>
}


//=====================================================================
//  Koordinatensystem
//=====================================================================
//
class GLCoordSystem
{
  public:
    GLCoordSystem();
    ~GLCoordSystem() {};

    void Draw();

  private:
    GLfloat             CoordColor[3], CoordV0[3], CoordV1[3];
    GLfloat             CoordA1[3], CoordA2[3];
    boolean             CoordList;
    int                 CoordListNr;
};

//---------------------------------------------------------------------------
#endif
 